Type.registerNamespace("Telerik.Web.UI");
Telerik.Web.UI.RadSliderItem=function(){
Telerik.Web.UI.RadSliderItem.initializeBase(this);
this._imageUrl=null;
this._imageElement=null;
};
Telerik.Web.UI.RadSliderItem.prototype={set_visible:function(_1){
var _2=this.get_visible()!=_1;
if(!_2){
return;
}
Telerik.Web.UI.RadSliderItem.callBaseMethod(this,"set_visible",[_1]);
if(_1){
this.get_element().style.display="";
}else{
this.get_element().style.display="none";
}
},set_selected:function(_3){
if(this.get_slider().get_enabled()){
if((this.get_slider()._itemType==Telerik.Web.UI.SliderItemType.Item)&&this.get_enabled()){
if(_3){
Sys.UI.DomElement.addCssClass(this.get_element(),"rslItemSelected");
}else{
Sys.UI.DomElement.removeCssClass(this.get_element(),"rslItemSelected");
}
}
}
this._properties.setValue("selected",_3);
},get_selected:function(){
return this._properties.getValue("selected",false);
},set_cssClass:function(_4){
this._properties.setValue("cssClass",_4);
},get_cssClass:function(){
return this._properties.getValue("cssClass","");
},set_tooltip:function(_5){
this._properties.setValue("tooltip",_5);
},get_tooltip:function(){
return this._properties.getValue("tooltip","");
},set_isLargeTick:function(_6){
this._properties.setValue("isLargeTick",_6);
},get_isLargeTick:function(){
return this._properties.getValue("isLargeTick",false);
},set_isSmallTick:function(_7){
this._properties.setValue("isSmallTick",_7);
},get_isSmallTick:function(){
return this._properties.getValue("isSmallTick",false);
},_loadFromDictionary:function(_8){
if(_8.text!=null){
this.set_text(_8.text);
}
if(_8.value!=null){
this.set_value(_8.value);
}
if(_8.enabled!=null){
this.set_enabled(_8.enabled);
}
if(_8.cssClass){
this.set_cssClass(_8.cssClass);
}
if(_8.tooltip!=null){
this.set_tooltip(_8.tooltip);
}
if(_8.isLargeTick!=null){
this.set_isLargeTick(_8.isLargeTick);
}
if(_8.isSmallTick!=null){
this.set_isSmallTick(_8.isSmallTick);
}
},_render:function(_9){
_9[_9.length]="<li unselectable='on' ";
if(this.get_tooltip().toString()!=""){
_9[_9.length]="title=\""+this.get_tooltip()+"\" ";
}
var _a=this.get_index();
var _b=this.get_slider();
var _c=_b.get_itemData().length;
_9[_9.length]="class='";
var _d=_b._itemType;
if(_d==Telerik.Web.UI.SliderItemType.Item){
var _e=this.get_cssClass();
if(_e!=""){
_e=" "+_e;
}
var _f=(this.get_enabled())?"'>":" rslItemDisabled'>";
if(_a==0){
_9[_9.length]="rslItem rslItemFirst"+_e+_f;
}else{
if(_a==_c-1){
_9[_9.length]="rslItem rslItemLast"+_e+_f;
}else{
_9[_9.length]="rslItem"+_e+_f;
}
}
_9[_9.length]="<span>";
_9[_9.length]=this.get_text();
_9[_9.length]="</span>";
}else{
if(_d==Telerik.Web.UI.SliderItemType.Tick){
var _10=_b._largeChange;
var _11=this.get_isLargeTick();
var _12=false;
if(_a==0){
if(_10>0||_11){
_9[_9.length]="rslLargeTick rslLargeTickFirst'>";
_12=true;
}else{
_9[_9.length]="rslSmallTick rslSmallTickFirst'>";
}
}else{
if(_a==_c-1){
if((_10>0&&((_a%_10)==0))||_11){
_9[_9.length]="rslLargeTick rslLargeTickLast'>";
_12=true;
}else{
_9[_9.length]="rslSmallTick rslSmallTickLast'>";
}
}else{
if((_10>0&&((_a%_10)==0))||_11){
_9[_9.length]="rslLargeTick'>";
_12=true;
}else{
_9[_9.length]="rslSmallTick'>";
}
}
}
if(_12){
var _13=this.get_value();
_9[_9.length]="<span>";
_9[_9.length]=_13;
_9[_9.length]="</span>";
if(_b._trackPosition==Telerik.Web.UI.SliderTrackPosition.Center){
_9[_9.length]="<span class='rslBRItemText'>";
_9[_9.length]=_13;
_9[_9.length]="</span>";
}
}
}
}
_9[_9.length]="</li>";
},get_textElement:function(){
return this.get_element();
},get_slider:function(){
return this._parent;
},_createChildListElement:function(){
var _14=document.createElement("ul");
this.get_slider().get_dropDownElement().appendChild(_14);
},_shouldInitializeChild:function(_15){
return false;
},_createChildControls:function(){
},_getHierarchicalIndex:function(){
return this.get_index();
}};
Telerik.Web.UI.RadSliderItem.registerClass("Telerik.Web.UI.RadSliderItem",Telerik.Web.UI.ControlItem);

